Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AddressBook

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AddressBook

All Implemented Interfaces:
  java.io.Serializable

public class AddressBook
extends AbstractItem
implements java.io.Serializable

This class is a Domino address book. Address book instances are obtained from the `AddressBooks` class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getTitle()` Gets the address book title.
`AddressBookEntry[]` | `serverGetAddressBookEntries(int iStartIndex, int iEndIndex, PropertyKey[] keys, java.util.Date freeBusyStart, java.util.Date freeBusyEnd, int iInterval, java.lang.String sFilterKey)` Queries the server to get address book entries from the server between the specified `iStartIndex` and `iEndIndex` starting at 0.
`AddressBookEntry[]` | `serverGetAddressBookEntries(int iStartIndex, int iEndIndex, PropertyKey[] keys, java.lang.String sFilterKey)` Queries the server to get address book entries from the server between the specified `iStartIndex` and `iEndIndex` starting at 0.
`int` | `serverGetAddressBookEntriesCount(java.lang.String sFilterKey)` Queries the server to get address book entry count.
`Resource[]` | `serverGetResources(int iStartIndex, int iEndIndex, PropertyKey[] keys)` Queries the server to get resources from the server between the specified `iStartIndex` and `iEndIndex` starting at 0.
`int` | `serverGetResourcesCount()` Queries the server to get resources count.
`Room[]` | `serverGetRooms(int iStartIndex, int iEndIndex, PropertyKey[] keys)` Queries the server to get rooms from the server between the specified `iStartIndex` and `iEndIndex` starting at 0.
`int` | `serverGetRoomsCount()` Queries the server to get rooms count.
`void` | `serverUpdate()` Address books cannot be updated.

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTitle

    public java.lang.String getTitle()
                              throws DominoException

  Gets the address book title.

  Returns:
    the address book title
  Throws:
    `DominoException`

### serverGetAddressBookEntries

    public AddressBookEntry[] serverGetAddressBookEntries(int iStartIndex,
                                                          int iEndIndex,
                                                          PropertyKey[] keys,
                                                          java.lang.String sFilterKey)
                                                   throws DominoException

  Queries the server to get address book entries from the server between the specified `iStartIndex` and `iEndIndex` starting at 0. The filter key is made up of "lastname , firstname middleinitial" where firstname and middleinitial are optional and is not case sensitive.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the address book entries
    `sFilterKey` - the search filter key or `null` for no search filtering
  Returns:
    an array of address book entries
  Throws:
    `DominoException`
  See Also:
    `AddressBookEntry`

### serverGetAddressBookEntries

    public AddressBookEntry[] serverGetAddressBookEntries(int iStartIndex,
                                                          int iEndIndex,
                                                          PropertyKey[] keys,
                                                          java.util.Date freeBusyStart,
                                                          java.util.Date freeBusyEnd,
                                                          int iInterval,
                                                          java.lang.String sFilterKey)
                                                   throws DominoException

  Queries the server to get address book entries from the server between the specified `iStartIndex` and `iEndIndex` starting at 0. The filter key is made up of "lastname , firstname middleinitial" where firstname and middleinitial are optional and is not case sensitive.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the address book entries
    `freeBusyStart` - the start time for the free busy query
    `freeBusyEnd` - the end time for the free busy query
    `iInterval` - the free busy interval (in minutes)
    `sFilterKey` - the search filter key or `null` for no search filtering
  Returns:
    an array of address book entries
  Throws:
    `DominoException`

### serverGetAddressBookEntriesCount

    public int serverGetAddressBookEntriesCount(java.lang.String sFilterKey)
                                         throws DominoException

  Queries the server to get address book entry count. The filter key searches the person's last name and is not case sensitive.

  Parameters:
    `sFilterKey` - the search filter key or `null` for no search filtering
  Returns:
    the address book entry count or -1 if not available
  Throws:
    `DominoException`

### serverGetRoomsCount

    public int serverGetRoomsCount()
                            throws DominoException

  Queries the server to get rooms count.

  Returns:
    the rooms count or -1 if not available
  Throws:
    `DominoException`

### serverGetRooms

    public Room[] serverGetRooms(int iStartIndex,
                                 int iEndIndex,
                                 PropertyKey[] keys)
                          throws DominoException

  Queries the server to get rooms from the server between the specified `iStartIndex` and `iEndIndex` starting at 0.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the address book entries
  Returns:
    an array of rooms or an empty array for none
  Throws:
    `DominoException`

### serverGetResources

    public Resource[] serverGetResources(int iStartIndex,
                                         int iEndIndex,
                                         PropertyKey[] keys)
                                  throws DominoException

  Queries the server to get resources from the server between the specified `iStartIndex` and `iEndIndex` starting at 0.

  Parameters:
    `iStartIndex` - the start index endpoint (inclusive) or -1 for all
    `iEndIndex` - the end index highpoint (exclusive) or -1 for all
    `keys` - the properties to bring back from the address book entries
  Returns:
    an array of resources or an empty array for none
  Throws:
    `DominoException`

### serverGetResourcesCount

    public int serverGetResourcesCount()
                                throws DominoException

  Queries the server to get resources count.

  Returns:
    the resources count or -1 if not available
  Throws:
    `DominoException`

### serverUpdate

    public void serverUpdate()
                      throws DominoException

  Address books cannot be updated. This method does nothing.

  Specified by:
    `serverUpdate` in class `AbstractItem`
  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.